From a6178381bc6159970262efbb3d717bd4376fd3e8 Mon Sep 17 00:00:00 2001
From: Hugo Beauzee-Luyssen <beauze.h@gmail.com>
Date: Sat, 11 Jul 2009 14:39:28 +0200
Subject: [PATCH] Don't touch the pts if no-skip-frames is specified

---
 modules/access/fake.c |   27 +++++++++++++++------------
 1 files changed, 15 insertions(+), 12 deletions(-)

diff --git a/modules/access/fake.c b/modules/access/fake.c
index 0cd8b09..1eb1a55 100644
--- a/modules/access/fake.c
+++ b/modules/access/fake.c
@@ -192,19 +192,22 @@ static int Control( demux_t *p_demux, int i_query, va_list args )
             return VLC_SUCCESS;
 
         case DEMUX_SET_PAUSE_STATE:
-            b = (bool)va_arg( args, int );
-            if ( b )
+            if ( config_GetInt( p_demux, "skip-frames" ) != 0 )
             {
-                p_sys->i_pause_pts = mdate();
-            }
-            else if ( p_sys->i_pause_pts )
-            {
-                mtime_t i_pause_duration = mdate() - p_sys->i_pause_pts;
-                p_sys->i_first_pts += i_pause_duration;
-                p_sys->i_last_pts += i_pause_duration;
-                if ( p_sys->i_duration )
-                    p_sys->i_end_pts += i_pause_duration;
-                p_sys->i_pause_pts = 0;
+                b = (bool)va_arg( args, int );
+                if ( b )
+                {
+                    p_sys->i_pause_pts = mdate();
+                }
+                else if ( p_sys->i_pause_pts )
+                {
+                    mtime_t i_pause_duration = mdate() - p_sys->i_pause_pts;
+                    p_sys->i_first_pts += i_pause_duration;
+                    p_sys->i_last_pts += i_pause_duration;
+                    if ( p_sys->i_duration )
+                        p_sys->i_end_pts += i_pause_duration;
+                    p_sys->i_pause_pts = 0;
+                }
             }
             return VLC_SUCCESS;
 
-- 
1.6.0.6

